# Shared Modifier Options

Shared Modifier Options

 - [GET /sharedModifierOptions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-modifier-options/listsharedmodifieroptions.md): This method will scan all shared modifier options and and return them to the caller.
 - [POST /sharedModifierOptions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-modifier-options/createsharedmodifieroption.md): This method will auto-generate an ID and create a new shared modifier option. If an ID is specified for the shared modifier option, an error will be thrown.
 - [POST /sharedModifierOptions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-modifier-options/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /sharedModifierOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-modifier-options/deletesharedmodifieroption.md): This method will delete a shared modifier option with the specified ID.
 - [GET /sharedModifierOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-modifier-options/getsharedmodifieroption.md): This method will look up a shared modifier option by the specified ID and return it back.
 - [PATCH /sharedModifierOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-modifier-options/patchsharedmodifieroption.md): This method will patch an existing shared modifier option with the specified ID, using the HTTP PATCH specification.
 - [PUT /sharedModifierOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-modifier-options/updatesharedmodifieroption.md): This method will update an existing shared modifier option with the specified ID.
